Proposal to accept NEP #29: Recommend Python and Numpy version support as a community policy standard

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Proposal to accept NEP #29: Recommend Python and Numpy version support as a community policy standard

Thomas Caswell

The outstanding concern in https://github.com/numpy/numpy/pull/14086 was that some projects want to continue to support additional versions of Python and numpy outside of the minimum support windows.  The language has been changed to specify that these are _minimum_ support windows and that projects _should_ not _will_ drop support as they can.

There is one trivial wording change PR open (https://github.com/numpy/numpy/pull/14444).

If there are no substantive objections within 7 days from this email, then the NEP will be accepted; see NEP 0 for more details.

Tom
--
Thomas Caswell
[hidden email]

_______________________________________________
NumPy-Discussion mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/numpy-discussion